org.apache.ignite.internal.processors.query

## Class QuerySchemaPatch

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QuerySchemaPatch

    public class QuerySchemaPatch
    extends Object

Query schema patch which contains `SchemaAbstractOperation` operations for changing query entities. This patch is high level path on `QueryEntityPatch` but it has operations for all `QueryEntity` in schema and also contains `QueryEntity` for adding to schema by whole.

See Also:
  `QueryEntityPatch`

### Constructor Summary

Constructors
Constructor and Description
`QuerySchemaPatch(Collection<SchemaAbstractOperation> patchOperations, Collection<QueryEntity> entityToAdd, String conflictsMessage)` Create patch.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getConflictsMessage()`
`Collection<QueryEntity>` `getEntityToAdd()`
`Collection<SchemaAbstractOperation>` `getPatchOperations()`
`boolean` `hasConflicts()`
`boolean` `isEmpty()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QuerySchemaPatch

    public QuerySchemaPatch(@NotNull
                            Collection<SchemaAbstractOperation> patchOperations,
                            @NotNull
                            Collection<QueryEntity> entityToAdd,
                            String conflictsMessage)

Create patch.

### Method Detail

#### hasConflicts

    public boolean hasConflicts()

Returns:
  `true` if patch has conflict.

#### getConflictsMessage

    public String getConflictsMessage()

Returns:
  Conflicts message.

#### isEmpty

    public boolean isEmpty()

Returns:
  `true` if patch is empty and can't be applying.

#### getPatchOperations

    @NotNull
    public Collection<SchemaAbstractOperation> getPatchOperations()

Returns:
  Patch operations for applying.

#### getEntityToAdd

    @NotNull
    public Collection<QueryEntity> getEntityToAdd()

Returns:
  Entities which should be added by whole.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018